System.ServiceModel 4.0.0.0

Implement the interface to create a custom client formatter that serializes objects into messages and deserializes messages into objects for a particular operation.

Attach custom indigo1 client formatters to the property to handle this conversion explicitly.

Defines methods that are used to control the conversion of messages into objects and objects into messages for client applications.

- Method
  4.0.0.0
  System.Object `` `` To be added.

  Called after a reply message is received. Implement to convert the reply message into a return value (and any out parameters) that is returned to the calling application.

  Converts a message into a return value and out parameters that are passed back to the calling operation.

  The return value of the operation.

  The inbound message.
- Method
  4.0.0.0
  System.ServiceModel.Channels.Message `` `` To be added. To be added.

  Called after an operation is invoked on the client but prior to serializing the outbound message. Implement to convert the parameter objects into the outbound message.

  Converts an array into an outbound .

  The SOAP message sent to the service operation.